%define module_version 0.02
%define module_name Fauxtobox
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Munge.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: fake autoboxing (call methods on plain scalars)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MA/MAUKE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module provides fake autoboxing support. *Autoboxing* means being able to
call methods on non-objects like `42' or `'hello'' because the language will
automatically wrap them in objects. If you want that, see the autobox manpage.

What this module does is much simpler: It exports a bunch of variables that can
be used like methods. These method variables can be used on any value, not just
objects.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/F*

%changelog
* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

